#include "src/class/player.hpp"
#include "src/interface/creation.hpp"
#include "src/interface/info.hpp"
#include "src/system/betatest.hpp"

#include <iostream>

int main(int argc, char const *argv[])
{
    Player *player = nullptr;

    if (checkBetaTest())
    {
        int choice;

        do
        {
            printf("===== HackTheGame v0.0.1 (Beta) =====\n");
            printf("[1] Create new Character\n");
            printf("[2] Character Info\n");
            printf("[9] Credits\n");
            printf("[0] Exit\n");
            printf(">");

            scanf("%d", &choice);

            switch (choice)
            {
            case 1:
                player = createCharacter();
                break;
            case 2:
                if (player == nullptr)
                {
                    std::cout << "Please create a character first!" << std::endl;
                }
                else
                {
                    Info::ofPlayer(player);
                }
                break;
            case 9:
                Info::ofApplication();
                break;
            case 0:
                break;
            default:
                printf("Not Implemented...\n");
            }

        } while (choice != 0);
    }
    else
    {
        printf("Please get a beta.test key from one of our developer to get access to beta test...\n");
        return 0;
    }
}